function [wl rrs rrsopt mdata] = ref2rrs_gray(stdfrac, plotscale, mdata)
addpath('SolarAzEl','MoblyFactor');
dirin        = mdata.dirin;
date_time    = mdata.date_time;
lat          = mdata.lat;
lon          = mdata.lon;
alt          = mdata.alt;
wind_speed   = mdata.wind_speed;
[az el]      = SolarAzEl(date_time, lat, lon, alt);
solar_zenith = 90 - el;
[mf]         = mobly_factor(wind_speed, solar_zenith);
rin          = readsedfolder(dirin);
% Convert to uW/cm^2/sr/nm from W/m^2/sr/nm  %%%%%%
r(:,1,:)     = rin(:,1,:); r(:,2,:) = rin(:,2,:);
r(:,3,:)     = 100*rin(:,3,:);
[r T]        = classifyspectra_gray(r, stdfrac, plotscale, mdata);
[wl ravg]    = averagespectra(r, T, plotscale, mdata);
[wl rrs rrsopt rrsmin]  ...
             = computerrs_gray(wl, ravg, mf, plotscale, mdata);
mdata.wavelength      = wl;
mdata.solar_azimuth   = az;
mdata.solar_elevation = el;
mdata.solar_zenith    = solar_zenith;
mdata.mobly_factor    = mf;
mdata.rrsmin          = rrsmin;
mdata.T               = T;
mdata.ravg            = ravg;
end

